#
%define		_state		stable
%define		orgname		kcharselect
%define		qtver		4.8.0

Summary:	K Desktop Environment - KDE Character Selector
Name:		kde4-kcharselect
Version:	4.9.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	07f78bdd359a1e11d710d0a3fc060a6d
URL:		http://www.kde.org/
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	kde4-kdebase-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
Requires:	kde4-kdebase-workspace >= %{version}
Obsoletes:	kde4-kdeutils-kcharselect
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Application for selecting characters.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kcharselect
%{_datadir}/apps/kcharselect
%{_datadir}/apps/kconf_update/kcharselect.upd
%{_desktopdir}/kde4/KCharSelect.desktop
%changelog
* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 48d8c35
updated to 4.9.0.

* Wed May 02 2012 Karol Krenski <charles@pld-linux.org> 86e6548
- updated to 4.8.2
- updated BRs

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f44e716
- initial

